Rosetta 3.1 Release Manual

Install SCons

SCons is an open source software construction tool (http://www.scons.org). The most distinctive thing about SCons is that its configuration files are actually scripts, written in the Python programming language. To build or install SCons, please read the SCons manual at http://www.scons.org/doc/1.1.0/HTML/scons-user/book1.html.

Basic Requirements

  scons version >= 0.96.1
  python version >= 2.2
  

You can download Scons from http://www.scons.org/download.php. You probably want to at least be aware of the SCons User's Guide and manual page: http://www.scons.org/doc/HTML/scons-user/book1.html and http://www.scons.org/doc/HTML/scons-man.html.

SCons depends on Python, version 1.5 or later. Our use of it depends on features present only in Python 2.2 or later, so you need at least 2.2.

Scons-local

Rosetta comes packaged with a local version of SCons (requiring you to install only Python). To use this version of Scons, call the file external/scons-local/scons.py within your Rosetta installation as your SCons executeable.
Generated on Tue Apr 20 07:50:06 2010 for Rosetta Projects by  doxygen 1.5.2

© Copyright Rosetta Commons Member Institutions. For more information, see http://www.rosettacommons.org.